DCMTK: DVSeriesCache Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DVSeriesCache Class Reference

A class to handle a series cache (list of items). More...

## Classes
struct | ItemStruct
| Internal structure defining the list items. More...

## Public Member Functions
| DVSeriesCache ()
| Constructor.
virtual | ~DVSeriesCache ()
| Destructor.
void | clear ()
| reset all member variables to initial state delete all list items.
OFBool | empty () const
| checks whether instance cache is empty
Uint32 | getCount () const
| gets number of cache entries
OFBool | gotoItem (Uint32 idx)
| sets internal cursor to specified position in cache list
OFBool | gotoFirst ()
| sets internal cursor to first position in cache list
OFBool | gotoNext ()
| sets internal cursor to next position in cache list
OFBool | reset ()
| sets internal cursor to last visited position in cache list
OFBool | isElem (const OFString &uid)
| checks whether an item with the specified UID exists in the cache list
DVIFhierarchyStatus | getStatus () const
| gets review status of the current (selected) series
DVPSInstanceType | getType () const
| gets type of all instances in the series
ItemStruct * | getItem () const
| gets reference to current (selected) series
void | addItem (const OFString &uid, const DVIFhierarchyStatus status=DVIF_objectIsNew)
| adds a new item to the cache list.
DVIFhierarchyStatus | updateStatus ()
| updates hierarchical/review status for all list items.

## Protected Member Functions
| OFListIterator (ItemStruct *) Iterator
| internal cursor to current (selected) list item
| OFListIterator (ItemStruct *) OldIterator
| last visited position in item list

## Protected Attributes
OFList< ItemStruct * > | List
| list of series

## Detailed Description

A class to handle a series cache (list of items).

This is the middle level in the hierarchical cache structure. This class is used by DVStudyCache. The internal structure is a list of DVInstanceCache.

## Member Function Documentation

## ◆ addItem()

void DVSeriesCache::addItem | ( | const OFString & | uid,
|  | const DVIFhierarchyStatus | status = DVIF_objectIsNew )
| inline

adds a new item to the cache list.

sets internal cursor to new position.

Parameters

  uid | unique identifier
  status | review status (optional)

References List.

## ◆ empty()

OFBool DVSeriesCache::empty | ( |  | ) | const
| inline

checks whether instance cache is empty

Returns
  OFTrue if cache is empty, OFFalse otherwise

References List.

## ◆ getCount()

Uint32 DVSeriesCache::getCount | ( |  | ) | const
| inline

gets number of cache entries

Returns
  number of cache entries

References List.

## ◆ getItem()

ItemStruct * DVSeriesCache::getItem | ( |  | ) | const
| inline

gets reference to current (selected) series

Returns
  pointer to ItemStruct if successful, NULL otherwise

References List.

Referenced by getStatus(), and getType().

## ◆ getStatus()

DVIFhierarchyStatus DVSeriesCache::getStatus | ( |  | ) | const
| inline

gets review status of the current (selected) series

Returns
  hierarchical status code if successful, 'isNew' otherwise

References getItem(), and DVSeriesCache::ItemStruct::Status.

## ◆ getType()

DVPSInstanceType DVSeriesCache::getType | ( |  | ) | const
| inline

gets type of all instances in the series

Returns
  type of all instances

References getItem(), and DVSeriesCache::ItemStruct::Type.

## ◆ gotoFirst()

OFBool DVSeriesCache::gotoFirst | ( |  | ) |
| inline

sets internal cursor to first position in cache list

Returns
  OFTrue if successful, OFFalse if list is empty

References List.

## ◆ gotoItem()

OFBool DVSeriesCache::gotoItem | ( | Uint32 | idx | ) |
| inline

sets internal cursor to specified position in cache list

Parameters

  idx | index position in cache list (starting with 0)

Returns
  OFTrue if successful, OFFalse if 'idx' is invalid

References List, and OFListIterator().

## ◆ gotoNext()

OFBool DVSeriesCache::gotoNext | ( |  | ) |
| inline

sets internal cursor to next position in cache list

Returns
  OFTrue if successful, OFFalse if new position is invalid

References List, and OFListIterator().

## ◆ isElem()

OFBool DVSeriesCache::isElem | ( | const OFString & | uid | ) |
| inline

checks whether an item with the specified UID exists in the cache list

Parameters

  uid | UID which should be checked

Returns
  OFTrue if such an item exists, OFFalse otherwise

References List, OFListIterator(), and DVSeriesCache::ItemStruct::UID.

## ◆ reset()

OFBool DVSeriesCache::reset | ( |  | ) |
| inline

sets internal cursor to last visited position in cache list

Returns
  OFTrue if successful, OFFalse if last visited position was invalid or the last one in the list

References List, and OFListIterator().

## ◆ updateStatus()

DVIFhierarchyStatus DVSeriesCache::updateStatus | ( |  | ) |
| inline

updates hierarchical/review status for all list items.

Returns
  resulting review status (summary of all items)

References DVSeriesCache::ItemStruct::List, List, OFListIterator(), DVSeriesCache::ItemStruct::Status, and DVInstanceCache::updateStatus().

Referenced by DVStudyCache::updateStatus().

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvcache.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2